module transition_tty(transition_enable,input_data, transition_data_o);
input wire transition_enable;
input wire [3:0] input_data;
output reg [7:0] transition_data_o;

always @(transition_enable or input_data)
begin
	if(transition_enable == 1'b1) begin
	case(input_data)
		4'h0 : begin
			transition_data_o <= 8'h30;
		end
		4'h1 : begin
			transition_data_o <= 8'h31;
		end
		4'h2 : begin
			transition_data_o <= 8'h32;
		end
		4'h3 : begin
			transition_data_o <= 8'h33;
		end
		4'h4 : begin
			transition_data_o <= 8'h34;
		end
		4'h5 : begin
			transition_data_o <= 8'h35;
		end
		4'h6 : begin
			transition_data_o <= 8'h36;
		end
		4'h7 : begin
			transition_data_o <= 8'h37;
		end
		4'h8 : begin
			transition_data_o <= 8'h38;
		end
		4'h9 : begin
			transition_data_o <= 8'h39;
		end
		4'ha : begin
			transition_data_o <= 8'h61;
		end
		4'hb : begin
			transition_data_o <= 8'h62;
		end
		4'hc : begin
			transition_data_o <= 8'h63;
		end
		4'hd : begin
			transition_data_o <= 8'h64;
		end
		4'he : begin
			transition_data_o <= 8'h65;
		end
		4'hf : begin
			transition_data_o <= 8'h66;
		end
		default : begin
			transition_data_o <= 8'bzzzzzzzz;
		end
	endcase
end
	else  begin
			transition_data_o <= 8'bzzzzzzzz;
	end
end

endmodule
