library verilog;
use verilog.vl_types.all;
entity reg_sram is
    generic(
        width           : integer := 8;
        depth           : integer := 1024;
        addr            : integer := 10
    );
    port(
        Data            : in     vl_logic_vector;
        Q               : out    vl_logic_vector;
        Clock           : in     vl_logic;
        WE              : in     vl_logic;
        Address         : in     vl_logic_vector;
        EN              : in     vl_logic
    );
end reg_sram;
