library verilog;
use verilog.vl_types.all;
entity board_fifo is
    generic(
        ST0             : integer := 0;
        ST1             : integer := 1;
        ST2             : integer := 2;
        ST3             : integer := 3;
        ST4             : integer := 4;
        ST5             : integer := 5;
        ST6             : integer := 6;
        ST7             : integer := 7;
        ST8             : integer := 8;
        ST9             : integer := 9;
        ST10            : integer := 10;
        ST11            : integer := 11;
        ST12            : integer := 12;
        ST13            : integer := 13;
        ST14            : integer := 14;
        ST15            : integer := 15;
        ST16            : integer := 16;
        ST17            : integer := 17;
        ST18            : integer := 18;
        ST19            : integer := 19;
        ST20            : integer := 20;
        ST21            : integer := 21;
        ST22            : integer := 22;
        ST23            : integer := 23;
        ST24            : integer := 24;
        ST25            : integer := 25;
        ST26            : integer := 26
    );
    port(
        User_mode_start : in     vl_logic;
        User_add        : in     vl_logic_vector(1 downto 0);
        Enable          : in     vl_logic;
        CLK             : in     vl_logic;
        RSTn            : in     vl_logic;
        LED             : out    vl_logic_vector(7 downto 0);
        boardmem_addr_o : out    vl_logic_vector(17 downto 0);
        boardmem_dat_o_0: out    vl_logic_vector(15 downto 0);
        boardmem_dat_o_1: out    vl_logic_vector(15 downto 0);
        boardmem_dat_i_0: in     vl_logic_vector(15 downto 0);
        boardmem_dat_i_1: in     vl_logic_vector(15 downto 0);
        CE_o_0          : out    vl_logic;
        CE_o_1          : out    vl_logic;
        WE_o            : out    vl_logic;
        LB_o_0          : out    vl_logic;
        LB_o_1          : out    vl_logic;
        UB_o_0          : out    vl_logic;
        UB_o_1          : out    vl_logic;
        OE_o            : out    vl_logic;
        uart_addr_o     : out    vl_logic_vector(2 downto 0);
        uart_wdata_o    : out    vl_logic_vector(7 downto 0);
        uart_rdata_i    : in     vl_logic_vector(7 downto 0);
        uart_we_o       : out    vl_logic;
        uart_re_o       : out    vl_logic
    );
end board_fifo;
