library verilog;
use verilog.vl_types.all;
entity top_uart_fifo is
    port(
        User_mode_start : in     vl_logic;
        User_add        : in     vl_logic_vector(1 downto 0);
        Enable          : in     vl_logic;
        LED             : out    vl_logic_vector(7 downto 0);
        A               : out    vl_logic_vector(17 downto 0);
        IO_0            : inout  vl_logic_vector(15 downto 0);
        IO_1            : inout  vl_logic_vector(15 downto 0);
        CE_0            : out    vl_logic;
        CE_1            : out    vl_logic;
        WE              : out    vl_logic;
        OE              : out    vl_logic;
        LB_0            : out    vl_logic;
        LB_1            : out    vl_logic;
        UB_0            : out    vl_logic;
        UB_1            : out    vl_logic;
        RESETn          : in     vl_logic;
        CLOCK           : in     vl_logic;
        UART_TX1        : out    vl_logic;
        UART_RX1        : in     vl_logic
    );
end top_uart_fifo;
