library verilog;
use verilog.vl_types.all;
entity uart_regs is
    port(
        clk             : in     vl_logic;
        wb_rst_i        : in     vl_logic;
        wb_addr_i       : in     vl_logic_vector(2 downto 0);
        wb_dat_i        : in     vl_logic_vector(7 downto 0);
        wb_dat_o        : out    vl_logic_vector(7 downto 0);
        wb_we_i         : in     vl_logic;
        wb_re_i         : in     vl_logic;
        modem_inputs    : in     vl_logic_vector(3 downto 0);
        stx_pad_o       : out    vl_logic;
        srx_pad_i       : in     vl_logic;
        rts_pad_o       : out    vl_logic;
        dtr_pad_o       : out    vl_logic;
        int_o           : out    vl_logic
    );
end uart_regs;
